%%textdomain fatdoghelp
# SMB Browser Help

A network share is a resource on a local network that can be accessed by other
networked computers, typically a folder on a PC, Mac, or NAS server, allowing
contained files and folders to be shared over the local network.  It is also
known as a network drive.

Fatdog64 can provide network shares -- acting as a so-called SMB or samba server
or host. It can also connect to network shares provided by other computers --
acting as a so-called client.  Either way, connections are secured by specific
credentials, typically passwords, configured by the host.

The SMB browser application discovers network shares that might be active in
the local network, sets up connections with such shares, and activates the file
manager on the shared folders.  Therefore, the SMB Browser facilitates the
client role.

If instead you are looking for assistance in setting up Fatdog64 as a samba
server, turn to the Fatdog64 Folder Sharing Manager in control panel.

## Connecting to Windows 7 network shares

Windows 7 automatically starts up in "Public" network mode, which disables
all network shares; so before SMB browser can successfully discover Windows 7
shares, the network share feature must be enabled in the Windows 7 host.

Windows 7 Sharing Options include "password-protected" sharing and
"no-password" sharing.  This can be very misleading, because in reality
whatever option you choose, you will still need to have valid Windows 7
credentials (win7-username and password) to connect to the share. The
difference between the two options is in browsing results, as we will see.

So to create a share for a folder make sure to assign a win7-username to the
folder permission (note: not the share permission, it's the folder permission).

Now start SMB Browser to browse for shares. With Windows 7 "no-password"
sharing (password-protected off), SMB Browser will find the share, ask for
win7-username and password, and report the browsing results in a window, ready
to create the local folder icon when you press OK. Before you do, change
"vers=1.0" to "vers=2.1" in the MountOptions column (right-click to edit the
cell) otherwise the share will not connect when you click its local folder
icon.

With Windows 7 "password-protected" sharing on, SMB Browser will not find the
share in the first place, unless the correct username/password is given in the
very first prompt. If the correct username/password is given, then everything
proceeds normally as before (you still need to change "vers=1.0" to "vers=2.1"
in column MountOptions).

